use actix_web::{web, Responder};
use askama::Template;
use askama_actix::TemplateToResponse;

use crate::models::User;

#[derive(Template)]
#[template(path = "user/profile_change_password.html")]
struct ProfileChangePasswordTemplate {}

#[actix_web::get("/users/changepassword")]
pub async fn get(_user: web::ReqData<User>) -> impl Responder {
    let template = ProfileChangePasswordTemplate {};

    template.to_response()
}
